GDCM: gdcm::CSAHeaderDictEntry Class Reference

GDCM 3.2.6

Public Member Functions | Friends | List of all members
gdcm::CSAHeaderDictEntry Class Reference

Class to represent an Entry in the Dict. More...

`#include <gdcmCSAHeaderDictEntry.h>`

## Public Member Functions
| CSAHeaderDictEntry (const char *name="", VR const &vr=VR::INVALID, VM const &vm=VM::VM0, const char *desc="")
const char * | GetDescription () const
| Set/Get Description.
const char * | GetName () const
| Set/Get Name.
const VM & | GetVM () const
| Set/Get VM.
const VR & | GetVR () const
| Set/Get VR.
bool | operator< (const CSAHeaderDictEntry &entry) const
void | SetDescription (const char *desc)
void | SetName (const char *name)
void | SetVM (VM const &vm)
void | SetVR (const VR &vr)

## Friends
std::ostream & | operator<< (std::ostream &_os, const CSAHeaderDictEntry &_val)

## Detailed Description

Class to represent an Entry in the Dict.

Does not really exist within the DICOM definition, just a way to minimize storage and have a mapping from gdcm::Tag to the needed information

Note
  bla TODO FIXME: Need a PublicCSAHeaderDictEntry...indeed CSAHeaderDictEntry has a notion of retired which does not exist in PrivateCSAHeaderDictEntry...

See also
  gdcm::Dict

Examples
  MrProtocol.cxx.

## Constructor & Destructor Documentation

## ◆ CSAHeaderDictEntry()

gdcm::CSAHeaderDictEntry::CSAHeaderDictEntry | ( | const char * | name = "",
|  | VR const & | vr = VR::INVALID,
|  | VM const & | vm = VM::VM0,
|  | const char * | desc = "" )
| inline

References gdcm::VR::INVALID, and gdcm::VM::VM0.

Referenced by operator<(), and operator<<.

## Member Function Documentation

## ◆ GetDescription()

const char * gdcm::CSAHeaderDictEntry::GetDescription | ( |  | ) | const
| inline

Set/Get Description.

## ◆ GetName()

const char * gdcm::CSAHeaderDictEntry::GetName | ( |  | ) | const
| inline

Set/Get Name.

Referenced by operator<().

## ◆ GetVM()

const VM & gdcm::CSAHeaderDictEntry::GetVM | ( |  | ) | const
| inline

Set/Get VM.

## ◆ GetVR()

const VR & gdcm::CSAHeaderDictEntry::GetVR | ( |  | ) | const
| inline

Set/Get VR.

## ◆ operator<()

bool gdcm::CSAHeaderDictEntry::operator< | ( | const CSAHeaderDictEntry & | entry | ) | const
| inline

References CSAHeaderDictEntry(), and GetName().

## ◆ SetDescription()

void gdcm::CSAHeaderDictEntry::SetDescription | ( | const char * | desc | ) |
| inline

## ◆ SetName()

void gdcm::CSAHeaderDictEntry::SetName | ( | const char * | name | ) |
| inline

## ◆ SetVM()

void gdcm::CSAHeaderDictEntry::SetVM | ( | VM const & | vm | ) |
| inline

## ◆ SetVR()

void gdcm::CSAHeaderDictEntry::SetVR | ( | const VR & | vr | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const CSAHeaderDictEntry & | _val )
| friend

References CSAHeaderDictEntry().

The documentation for this class was generated from the following file:

- gdcmCSAHeaderDictEntry.h